groups:
  - name: replicas-mismatch
    rules:
    - alert: KubernetesDeploymentReplicasMismatch-authproxy
      expr: kube_replicaset_spec_replicas{namespace="auth-proxy"} != kube_deployment_status_replicas_available{namespace="auth-proxy"}
      for: 10m
      labels:
        severity: critical
      annotations:
        summary: Kubernetes Deployment replicas mismatch (instance {{ $labels.instance }})
        description: "Deployment Replicas mismatch\n  VALUE = {{ $value }}\n  LABELS = {{ $labels }}"